> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotstuff.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Derivative Collateral Withdraw Request

> Send POST request to /exchange, or use the ExchangeClient SDKs.

Withdraw from derivatives collateral balance.


## OpenAPI

````yaml openapi/exchange/collateral-transfers/derivative-withdraw.json POST /exchange
openapi: 3.0.3
info:
  title: Hotstuff Exchange API — Derivative Collateral Withdraw Request
  version: 1.0.0
servers:
  - url: https://api.hotstuff.trade
  - url: https://testnet-api.hotstuff.trade
security: []
paths:
  /exchange:
    post:
      summary: Derivative Collateral Withdraw Request
      operationId: exchangeCollateralTransfersDerivativeWithdraw
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                action:
                  type: object
                  properties:
                    data:
                      type: object
                      properties:
                        collateralId:
                          type: integer
                        amount:
                          type: string
                        chainId:
                          type: integer
                        nonce:
                          type: integer
                      required:
                        - collateralId
                        - amount
                        - chainId
                        - nonce
                    type:
                      type: string
                  required:
                    - data
                    - type
                signature:
                  type: string
                nonce:
                  type: integer
              required:
                - action
                - signature
                - nonce
              example:
                action:
                  data:
                    collateralId: 1
                    amount: '10.0'
                    chainId: 1
                    nonce: 1769690767985
                  type: derivativeWithdrawRequest
                signature: >-
                  0xc8331bccc6152818a753e0ec469243b7da7c6726e0658bea1f35fe8edd58918c...
                nonce: 1769690767985
            examples:
              default:
                summary: Example request
                value:
                  action:
                    data:
                      collateralId: 1
                      amount: '10.0'
                      chainId: 1
                      nonce: 1769690767985
                    type: derivativeWithdrawRequest
                  signature: >-
                    0xc8331bccc6152818a753e0ec469243b7da7c6726e0658bea1f35fe8edd58918c...
                  nonce: 1769690767985
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  tx_hash:
                    type: string
                  tx_type:
                    type: integer
                  error:
                    type: string
                  data:
                    type: object
                    properties:
                      nonce:
                        type: string
                  address:
                    type: string
              example:
                tx_hash: >-
                  0xef6a5f0939568fbf1705275c74647c3bb7b40777a455755605e64da4e62aed70
                tx_type: 1003
                error: ''
                data:
                  nonce: '12345'
                address: '0xEc6d21B8c1FF6dF523F22c4cf54F077e5F7cAfBf'

````